<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Software Engineering Code</title>
</head>
<body>
	<h1>The Software Engineering Code of Ethics and Professional Practice</h1>
	<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics andProfessional Practices</h3>
	<hr/>
	<p><strong>Keywords</strong>:  code of ethics, professional responsibility, software engineering</p>
	<h4>PREAMBLE</h4>
	<p>The short version of the code summarizes aspirations at a high level of the abstraction; the clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the details, the aspirations can become high sounding but empty; together, the aspirations and the details form a cohesive code.</p>
	<p>Software engineers shall commit themselves to making the analysis, specification, design, development, testing and maintenance of software a beneficial and respected profession. In accordance with their commitment to the health, safety and welfare of the public, software engineers shall adhere to the following Eight Principles:</p>
	<h4>PRINCIPLES</h4>
	<ol>
		<li><em>Public</em>.  Software engineers shall act consistently with the public interest.</li>
		<li><em>Client and employer</em>. Software engineers shall act in a manner that is in the bestinterests of their client and employer, consistent with the public interest.</li>
		<li><em>Product</em>. Software engineers shall ensure that their products and relatedmodifications meet the highest professional standards possible.</li>
		<li><em>Judgment</em>. Software engineers shall maintain integrity and independence in theirprofessional judgment</li>
		<li><em>Management</em>. Software engineering managers and leaders shall subscribe to andpromote an ethical approach to the management of software development andmaintenance</li>
		<li><em>Profession</em>. Software engineers shall advance the integrity and reputation of theprofession consistent with the public interest</li>
		<li><em>Colleagues</em>. Software engineers shall be fair to and supportive of their colleagues</li>
		<li><em>Self</em>. Software engineers shall participate in lifelong learning regarding the practiceof their profession and shall promote an ethical approach to the practice of theprofession</li>
	</ol>

</body>
</html>